
Redmine - Patch #28504

Update mysql2 gem to 0.5.0

2018-04-08 13:57 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Rails 5.1.6 supports mysql2 gem 0.5*

https://github.com/rails/rails/blob/v5.1.6/activerecord/CHANGELOG.md#rails-516-march-29-2018

All tests passed on my local environment.

Related issues:

Copied to Redmine - Patch #28505: Update pg gem to 1.0 Closed

Associated revisions

Revision 17357 - 2018-06-02 07:57 - Go MAEDA

Update mysql2 gem to 0.5.0 (#28504).

Patch by Marius BALTEANU.

History

#1 - 2018-04-08 13:58 - Marius BĂLTEANU

- File deleted (update_mysql2_gem)

#2 - 2018-04-08 13:58 - Marius BĂLTEANU

- File update_mysql2_gem.patch added

#3 - 2018-04-08 14:01 - Marius BĂLTEANU

- Copied to Patch #28505: Update pg gem to 1.0 added

#4 - 2018-04-09 14:42 - Go MAEDA

Since mysql2 gem 0.5.0 does not support MySQL 5.0 and 5.1, we have to update Supported database back-ends section in the wiki page after

updating the gem to 0.5.0.

#5 - 2018-04-12 02:15 - Go MAEDA

- Target version set to 4.0.0

Setting target version to 4.0.0.

#6 - 2018-06-02 08:09 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed. Thank you for your contribution.

And I have updated the wiki page.

http://www.redmine.org/projects/redmine/wiki/RedmineInstall/diff?utf8=%E2%9C%93&version=291&version_from=290&commit=View+differences
